@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('department::department.name') !!} <small> {!! trans('app.manage') !!} {!! trans('department::department.names') !!}</small>
@stop

@section('title')
{!! trans('department::department.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('department::department.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='department-department-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="department-department-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('department::department.label.company_id')!!}</th>
                    <th>{!! trans('department::department.label.code')!!}</th>
                    <th>{!! trans('department::department.label.name')!!}</th>
                    <th>{!! trans('department::department.label.status')!!}</th>
                    <th>{!! trans('department::department.label.created_at')!!}</th>
                    <th>{!! trans('department::department.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[company_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[code]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#department-department-entry', '{!!trans_url('admin/department/department/0')!!}');
    oTable = $('#department-department-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/department/department') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#department-department-list .search_bar input, #department-department-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'company_id'},
                    {data :'code'},
                        {data :'name'},
                            {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#department-department-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#department-department-list').DataTable().row( this ).data();

        $('#department-department-entry').load('{!!trans_url('admin/department/department')!!}' + '/' + d.id);
    });

    $("#department-department-list .search_bar input, #department-department-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

