<?php

namespace Payroll\Department\Workflow;

use Payroll\Department\Models\Department;
use Payroll\Department\Notifications\Department as DepartmentNotifyer;
use Notification;

class DepartmentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Department $department
     *
     * @return void
     */
    public function complete(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Department $department
     *
     * @return void
     */
    public function verify(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Department $department
     *
     * @return void
     */
    public function approve(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Department $department
     *
     * @return void
     */
    public function publish(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Department $department
     *
     * @return void
     */
    public function archive(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Department $department
     *
     * @return void
     */
    public function unpublish(Department $department)
    {
        return Notification::send($department->user, new DepartmentNotifyer($department, 'unpublish'));;

    }
}
